{% extends 'base.html.twig' %}

{% block title %}Homepage{% endblock %}

{% block body %}
    <h1 class="ui center aligned header">Homepage</h1>

    {{ include('homepage/_search_form.html.twig', {'form': photoSearchForm}) }}

    <table class="ui celled table unstackable">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for photo in photos %}
            <tr>
                <td>{{ photo.id }}</td>
                <td>{{ photo.title }}</td>
                <td>
                    <a href="{{ path('photo_edit', {'id': photo.id}) }}">Edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">No records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
